/* step2 物体の繰り返し表示　*/
#include "dm2.h"

double R[12];  // 回転行列が格納される配列, 位置(x,y,z)[m]
double p[3] = {0.0, 0.0, 0.05};   // 位置(x,y,z)[m]
double sides[3] = {0.1, 0.1, 0.1}; // 直方体のサイズ(x, y, z)[m]

void simLoop(int pause)        /***  シミュレーションループ　***/
{
  double num = 11;             // 直方体の数
  int i;

  dsSetColor(1.0, 0.0, 0.0);   // 赤色の設定(赤，緑，青）

  for (i = 0; i < num; i++) {
    p[1] = i * 0.2;
    dsDrawBox(p,R,sides); // 直方体の表示
  }
}

int main()         /*** main関数 ***/
{
  dmLoop(800, 600, simLoop); // シミュレーションループ ウインドウの幅，高
  return 0;
}
